#include "bool.h"

/**
 * Sets the four digits that are displayed on the 7-seg.
 * Parameter order is leftmost digit to rightmost.
 */
void seven_seg_setDigits(char d3, char d2, char d1, char d0);

/**
 * Sets whether the upper dot between digits 1 and 0 is lit.
 */
void seven_seg_setUpperDot(bool ud);

/**
 * Sets whether the colon is lit.
 */
void seven_seg_setColon(bool col);

/**
 * Toggles whether the colon is lit.
 */
void seven_seg_toggleColon();

/**
 * Runs the necessary ATMega initializations for the 7-seg driver.
 */
void seven_seg_init();

/**
 * Runs the 7-seg driver. The driver continually refreshes the
 * display to show the four digits. This function does not return.
 * Use this as a TRT real-time kernel task.
 */
void seven_seg_run();
